
QGIS Application - Bug report #18505

Open OGR Supported Vector Datasets

2018-03-21 03:44 PM - Norm Olsen

Status: Closed

Priority: Normal

Assignee:

Category: Data Source Manager

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 Version 10.0.16299.125 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 26393

Description

Clicking the browse button to open a vector dataset causes an immediate crash of QGIS.  Crash report follows:

User Feedback

Report Details

Crash ID: b1a8ff9baa0ced6fe211c2ca7d45a4256704e405

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

WindowsPromoteStringBuffer :

CoCreateFreeThreadedMarshaler :

WindowsPromoteStringBuffer :

WindowsPromoteStringBuffer :

WindowsPromoteStringBuffer :

WindowsPromoteStringBuffer :

WindowsPromoteStringBuffer :

CoCreateFreeThreadedMarshaler :

CoGetStandardMarshal :

CoCreateFreeThreadedMarshaler :

RoGetActivationFactory :

RoGetActivationFactory :

CoCreateInstance :

Ordinal866 :

SHELL32_IconOverlayManagerInit :

SHELL32_IconOverlayManagerInit :

SHELL32_LookupFrontIconIndex :

SHELL32_IconOverlayManagerInit :

SHELL32_LookupFrontIconIndex :

SHELL32_IconOverlayManagerInit :

NeverProvidedByJunction :

NeverProvidedByJunction :

NeverProvidedByJunction :

Ordinal873 :

NeverProvidedByJunction :

NeverProvidedByJunction :

DllGetClassObject :

SHSetTemporaryPropertyForItem :

SHSetTemporaryPropertyForItem :

DllCanUnloadNow :

GetScaleFactorForDevice :

RtlReleaseRelativeName :

RtlSetThreadWorkOnBehalfTicket :

BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-11-11 01:24 PM - Jürgen Fischer

- Related to Bug report #18260: qgis 3 crashes at start added

#2 - 2018-11-11 01:25 PM - Jürgen Fischer

- Related to deleted (Bug report #18260: qgis 3 crashes at start)

#3 - 2018-11-11 01:25 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added

#4 - 2018-11-11 01:25 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed
